Skala
Stock media objects

Update a stock media object

Partially updates specific fields of an existing stock media object without affecting the rest of the data.

PATCH
/api/stock_media_objects/{id}

Partially updates specific fields of an existing stock media object without affecting the rest of the data.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

StockMediaObject identifier

Request Body

application/merge-patch+json

The updated StockMediaObject resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://api.skalasuite.com/api/stock_media_objects/string" \  -H "Content-Type: application/merge-patch+json" \  -d ''
{
  "id": 0,
  "stock": "/entity/1",
  "mediaObject": {
    "id": 0,
    "contentUrl": "string",
    "file": "string",
    "filePath": "string"
  },
  "showInWorkOrder": true,
  "variant": {
    "id": 0,
    "name": "string"
  },
  "description": "string"
}
Empty
Empty
Empty